{ config, pkgs, lib, ... }:
let
  host = "127.0.1.2";
  port = "5005";
in {
   # Flame - Homelab dashboard/linktree
   virtualisation.oci-containers.containers = {
     flame = {
       image = "pawelmalak/flame";
       ports = [ "${host}:${port}:5005" ];
       volumes = [
         "/var/lib/flame/data:/app/data/"
       ];
     };
   };
   services.nginx.virtualHosts."flame.home.feal.no" = {
     locations."/" = {
       proxyPass = "http://${host}:${port}";
     };
   };
 }

